# Retrieve Transactions report

**Payment API - SourceTransactionsReport or OrganizationTransactionReport- API specification-** calling our Payment API POST `api/sourceTransactionsReport` and `/api/exportSourceTransactionsReport` will return transaction history details by Integration Source. Or for our Non-Profit Organizations calling our `api/organizationTransactionReport`  and `api/exportOrganizationTransactionReport` will return transaction history details by valid Organization Guid.

**Key Details:**

* **API Version:** v1
* **Endpoint:** [`/api/sourceTransactionsReport`](/welcome-to-our-payment-api/api-references/test-payment-api-features/each-api-reference-specifics/reports.md#post-api-sourcetransactionsreport) and [`/api/exportSourceTransactionsReport`](/welcome-to-our-payment-api/api-references/test-payment-api-features/each-api-reference-specifics/reports.md#post-api-exportsourcetransactionsreport) and [`api/organizationTransactionReport`](/welcome-to-our-payment-api/api-references/test-payment-api-features/each-api-reference-specifics/reports.md#post-api-organizationtransactionsreport)  and [`api/exportOrganizationTransactionReport`](/welcome-to-our-payment-api/api-references/test-payment-api-features/each-api-reference-specifics/reports.md#post-api-exportorganizationtransactionsreport)
* **Method:** POST
* **Purpose:** Returns a transaction details.

**Responses:**

* **200 (Success)**: Returns a report details.
* **400 (Bad Request):** Failure to create throws exception.

**Components:**

* **TransactionReportDetails Response:** Returns the transaction report details.
* **BrokenRule:** Represents an error in report creation with an error code and message.
* **ProblemDetails:** Details for any error response, including status, title, and description.

For the above two endpoint URLs: `/api/sourceTransactionsReport` and `api/organizationTransactionReport` will return the report data as a JSON response, and `/api/exportSourceTransactionsReport` and `api/exportOrganizationTransactionReport` will return the same data as a CSV or Excel format.

#### Body Parameter Definitions: <a href="#body-parameter-definitions" id="body-parameter-definitions"></a>

| **Parameter**   | **Description**                                                                            | **Notes**                                                      | **Required?** |
| --------------- | ------------------------------------------------------------------------------------------ | -------------------------------------------------------------- | ------------- |
| **Filters**     | --                                                                                         | --                                                             | Yes           |
| **Name**        | Name of the column to be filtered.                                                         | String, refer to response data field names for possible values | Yes           |
| **Operation**   | Which constraint operation to use when applying the filter.                                | Integer, see list of possible values below                     | Yes           |
| **Values**      | Array of filter terms to search for using the selected name and operation type.            | String                                                         | Yes           |
| **SortColumns** | --                                                                                         | --                                                             | No            |
| **Name**        | Name of the column by which to sort the results.                                           | String, refer to response data field names for possible values | No            |
| **Descending**  | Determines if the sort will be ascending or descending.                                    | Boolean                                                        | No            |
| **Order**       | If sorting by multiple columns, this determines the order in which the sorting is applied. | Integer, required when more than one sorting column is present | Yes\*         |
| **PageSize**    | How many records to return per page.                                                       | Integer                                                        | No            |
| **PageIndex**   | Which page of results to return. Starts at 1 (0 will also return the first page).          | Integer                                                        | Yes           |
| **Format**      | **Export endpoint only:** determines which file type the report will be exported to.       | Valid values: "csv" or "excel"                                 | Yes           |

#### Operation Field Values:

| **Value** | **Name**         | **Description**                                                                                   |
| --------- | ---------------- | ------------------------------------------------------------------------------------------------- |
| 2         | ExactMatch       | Filters for records that exactly match the provided search term.                                  |
| 3         | StartsWith       | Filters for records that start with the provided search term.                                     |
| 4         | EndsWith         | Filters for records that end with the provided search term.                                       |
| 5         | Contains         | Filters for records that contain the provided search term.                                        |
| 6         | Before           | Used for date-type columns, finds records where the date is prior to the provided date.           |
| 7         | After            | Used for date-type columns, finds records where the date is after the provided date.              |
| 9         | GreaterThan      | Compares numbers. Filters for records that are greater than the provided search term.             |
| 10        | LessThan         | Compares numbers. Filters for records that are less than the provided search term.                |
| 11        | Equals           | Compares numbers. Filters for records that are equal to the provided search term.                 |
| 12        | GreaterThanEqual | Compares numbers. Filters for records that are equal to or greater than the provided search term. |
| 13        | LessThanEqual    | Compares numbers. Filters for records that are equal to or less than the provided search term.    |
| 18        | NotContains      | Inverse of Contains.                                                                              |
| 19        | NotExactMatch    | Inverse of ExactMatch.                                                                            |
| 20        | NotStarts        | Inverse of StartsWith.                                                                            |
| 21        | NotEnds          | Inverse of EndsWith.                                                                              |
| 22        | NotEquals        | Inverse of Equals.                                                                                |

### Retrieve Transaction Report details

#### &#x20;Example Request:

Here is a Sample request to get transactions report filters by PaymentDate after (operation 7 = After) January 1st 2026 (2026-01-01) sorted by PaymentDate column desc, returning pageIndex 1 and page size 1000 records:

```
POST /api/sourceTransactionsReport
{
  "Filters": [
    {
      "Name": "PaymentDate",
      "Operation": 7,
      "Values": [
        "2026-01-01"
      ]
    }
  ],
  "SortColumns": [
    {
      "Name": "PaymentDate",
      "Descending": true,
      "Order": 0
    }
  ],
  "PageSize": 1000,
  "PageIndex": 1
}
```

See report api here:

{% content-ref url="/pages/06d66eda5d38d375032208f2371a0e41e399dbca" %}
[Reports](/welcome-to-our-payment-api/api-references/test-payment-api-features/each-api-reference-specifics/reports.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.frontstream.com/welcome-to-our-payment-api/api-references/retrieve-transactions-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
